<div
  class="flex-row full-height full-width overflow-hidden neutral-background-color"
  [sqtmCoreWorkspace]="workspaceName"
  [sqtmCoreViewId]="'user-account-view'"
>
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>
  <div
    class="flex full-height full-width neutral-background-color overflow-hidden"
  >
    @if (authenticatedUser$ | async; as user) {
      <div class="flex-column full-height full-width overflow-hidden">
        <sqtm-core-license-information-banner
          [isAdmin]="user.admin"
          [licenseInformation]="referentialService.licenseInformation$ | async"
          [placement]="'WORKSPACES'"
        >
        </sqtm-core-license-information-banner>
        <sqtm-core-configurable-banner />
        <span class="m-t-10 m-l-50 m-b-10 sqtm-core-screen-title">
          {{ titleKey | translate }} - {{ user.username }}
        </span>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'permissions'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.user.authorisation.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:project'"
                  >
                  </sqtm-core-anchor-link>
                  @if (hasBugTrackerCredentials$ | async) {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      sqtmCoreDefaultAnchorLink
                      [id]="'bugtrackers'"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.user.account.bug-trackers-configuration'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:bugtracker'"
                    >
                    </sqtm-core-anchor-link>
                  }

                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'api-token'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.user.api-token.title' | translate
                    "
                    [iconName]="'sqtm-core-administration:authentication'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            @if (componentData$ | async) {
              <router-outlet></router-outlet>
            } @else {
              <sqtm-core-full-page-loading-icon
                class="full-width"
              ></sqtm-core-full-page-loading-icon>
            }
          </div>
        </div>
      </div>
    } @else {
      <sqtm-core-full-page-loading-icon
        class="full-width"
      ></sqtm-core-full-page-loading-icon>
    }
  </div>
</div>
